#!/bin/bash

#clear filter rules
iptables -F

#accept 127.0.0.1 inter forwarding
iptables -A INPUT -i lo -j ACCEPT

#accept ping
iptables -A INPUT -p icmp -j ACCEPT
iptables -A INPUT -p esp -j ACCEPT
iptables -A INPUT -p ah -j ACCEPT

#accept ssh
iptables -A INPUT -p TCP --dport 22 -j ACCEPT

#accept openvpn
iptables -A INPUT -p TCP --dport 1194 -j ACCEPT
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A POSTROUTING -s 10.8.0.0/24 -o eth0 -j MASQUERADE

#Խİ״̬м,ѾtcpӵİԼصİͨ
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

iptables -P FORWARD ACCEPT
iptables -A INPUT -j REJECT
iptables -P OUTPUT ACCEPT